#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'jadwal.edit_jadwal'}
#{/set}

<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'jadwal.home'}</a></li>
	<li><a href="@{nonlelang.PengadaanLCtr.view(pl?.lls_id)}">&{'jadwal.edit_non_tender'} </a></li>
	<li class="active">&{'jadwal.edit_jadwal'}</li>
</ol>

<div class="content">
	<table class="table table-sm table-bordered">
    <tr>
    	<th class="bgwarning" width="150">Kode Paket</th>
    	<td>${pl.lls_id}</td>
    </tr>
    <tr>
    	<th class="bgwarning" width="150">Nama Paket</th>
    	<td>${pl.namaPaket}</td>
    </tr>
    </table>
     #{alert /}
	#{if pl?.lls_status?.draft}
		#{form @nonlelang.JadwalPlCtr.copy(pl?.lls_id) , method:'POST', id:'formCopy', class:'form-inline'}
			<div class="col-sm-12">
                <label>Copy Jadwal </label>
				#{selectCopyJadwalPl 'plCopyId',  id:'plCopyId', value:plCopyId, pl:pl /}
                <button name="copy" disabled class="btn btn-secondary" type="submit"
                        title="&{'jadwal.btn_title'}"><i class="fa fa-copy"></i></button>
			</div>
			<div class="clearfix"></div>
		#{/form}
	#{/if}
    #{form @nonlelang.JadwalPlCtr.simpan(pl?.lls_id), method:'POST', 'data-alert':'true', id:'jadwalEdit'}    	
     	<input type="hidden" name="id" value="${pl.lls_id}">
     	<table class="table  table-striped" id="tblJadwal" style="margin-top:20px;">
        <thead>
        	<tr>
        		<th width="5">No</th>
        		<th>&{'jadwal.tahap'}</th>
        		<th width="150">&{'jadwal.tanggal_mulai'}</th>
        		<th width="150">&{'jadwal.tanggal_selesai'}</th>
        	</tr>
        </thead>
        <tbody>
        #{list items:jadwalList, as:'jadwal'}           
            <tr class="#{validate 'jadwal['+(jadwal_index-1)+']' /}">
            	<td><input name="jadwalList[${jadwal_index-1}].akt_id" value="${jadwal.akt_id}" type="hidden">${jadwal_index}
            	 <input name="jadwalList[${jadwal_index-1}].dtj_id" value="${jadwal.dtj_id}" type="hidden">
            	 <input name="jadwalList[${jadwal_index-1}].thp_id" value="${jadwal.thp_id}" type="hidden"></td>
            <td>${jadwal.namaTahap()}&nbsp;<i class="badge  badge-info">${jadwal.getPeriodAsString()}</i>
                <div class="invalid-feedback">#{error 'jadwal['+(jadwal_index-1)+']' /}</div></td>
				#{if jadwal.akt_urut >= urutStart}
				<td><div style="position: relative;" id="${jadwal.akt_jenis.toString().toLowerCase()}_awal">
						<input name="jadwalList[${jadwal_index-1}].dtj_tglawal" type="text"  value="${jadwal.dtj_tglawal?.toDatetimepicker()}" initial="${jadwal.dtj_tglawal?.toDatetimepicker()}"
							   class="form-control datetimepicker" id="mulai${jadwal_index}" />
					</div>
				</td>
				<td><div style="position: relative;" id="${jadwal.akt_jenis.toString().toLowerCase()}_akhir">
						<input name="jadwalList[${jadwal_index-1}].dtj_tglakhir" type="text" value="${jadwal.dtj_tglakhir?.toDatetimepicker()}" initial="${jadwal.dtj_tglakhir?.toDatetimepicker()}"
							   class="form-control datetimepicker" id="akhir${jadwal_index}"/>
					</div>
				</td>
				#{/if}
				#{else}
					<td>${jadwal.dtj_tglawal?.formatDateTime()} <input name="jadwalList[${jadwal_index-1}].dtj_tglawal" value="${jadwal.dtj_tglawal?.toDatetimepicker()}" type="hidden"></td>
					<td>${jadwal.dtj_tglakhir?.formatDateTime()} <input name="jadwalList[${jadwal_index-1}].dtj_tglakhir" value="${jadwal.dtj_tglakhir?.toDatetimepicker()}" type="hidden"></td>
				#{/else}
            </tr>
        #{/list}
        </tbody>
        </table>
	#{if pl.lls_status.aktif}
	<input type="hidden" name="harus_berubah" value="true"/>
	<div class="form-group #{validate 'keterangan' /}">
		<label class="col-sm-2 col-form-label">Alasan Perubahan</label>
		<div class="col-sm-10">
			<textarea name="keterangan" rows="3" cols="2" class="form-control">${flash.keterangan}</textarea>
			<span class="help-block">&{'jadwal.alasan_perubahan_lebih'}</span>
		</div>
	</div>
	#{/if}
	#{saveButton /}
      #{if pl.lls_status.aktif}
      #{backButton action:@nonlelang.PengadaanLCtr.view(pl.lls_id) /}
      #{/if}  
      #{else}
      #{backButton action:@nonlelang.PengadaanLCtr.edit(pl.lls_id) /}
      #{/else} 
   #{/form}
</div>
#{set 'css_custom'}
<style type="text/css">
	.bootstrap-select.btn-group .dropdown-menu {
		max-width: 700px;
	}

	.bootstrap-select.btn-group .dropdown-menu li a span.text {
		display: block !important;
		overflow: hidden;
		word-wrap: break-word;
		white-space: normal;
	}
</style>
#{/set }

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">
	$(".form-control.datetimepicker").focus(function(ev){
		//jika masih kosong maka isikan jam default 00:00 atau 23:59
		var dateName=$(this).attr("name");
		var isAwal=(dateName.indexOf("awal"))>=0;
		var dateValue=$(this).val();
		var initialValue=$(this).attr("initial");
		if(isAwal)
			postfix="00:00";
		else
			postfix="23:59";
		
		if(initialValue=="")			
		{
			//pastikan bahwa jika Jam sudah pernah diisi maka tidak di-reset lagi menjadi 00:00 atau 23:59
			ary=dateValue.split(" ");
			initialValue=ary[0] + " " + postfix;
			$(this).data("DateTimePicker").date(initialValue);
			$(this).attr("initial", initialValue);
		}
		//console.log(dateName + ":" + initialValue);
	})
	
	$("#formCopy").submit(function(){
		if(!confirm("&{'flash.warning_copy_jadwal'}"))
			return false;
	});

    $("select[name='plCopyId']").change(function () {
        var id = $(this).val();
        var urls = #{jsRoute @nonlelang.JadwalPlCtr.jadwalPl(':id') /};
        BootstrapDialog.show({
            size: BootstrapDialog.SIZE_LARGE,
            draggable: true,
            title: 'Tahap Paket Saat Ini',
            message: $('<div></div>').load(urls.url({id: id})),
            buttons: [{
                label: 'Ok', action: function (dialog) {
                    dialog.close();
                }
            }]
        });

        var value = $(this).val();
        if (value.length === 0)
            $("[name='copy']").attr("disabled", "disabled");
        else
            $("[name='copy']").removeAttr("disabled");
    });

</script>
#{/set}
